The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the DXL Integration Configuration for Sensor

Prev Next

This URL retrieves the DXL integration configuration for Sensor.

Resource URL

GET /sensor/<sensor_id>/ dxlintegration

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

inheritSettings

Inherit settings from parent domain

Boolean

enableDXL

DXL enable or not

Boolean

epoServerIporName

ePO server IP

String

epoServerPort

ePO server port. Default is 8443

Number

epoUsername

ePO username

String

epoPassword

ePO password

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/dxlintegration

Response

{
       "inheritSettings": false,
       "enableDXL": true,
       "epoServerIporName": "10.213.169.206",
       "epoServerPort": 8443,
       "epoUsername": "admin",
       "epoPassword": "admin123"
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1106

Invalid Sensor

2

404

1124

The Sensor is inactive

3

404

9201

DXL integration supported only for NS and Virtual IPS Sensors having software version greater than or equal to 9.1